Subject: bug#28167: decide how to deal with gschemas

From: Ricardo Wurmus <[email-masked]>
Date: Mon, 21 Aug 2017 15:58:43 +0200

ng0 <[email-masked]> writes:

> Creating manual page database for 59 packages... done in 2.152 s
> warning: collision encountered: /gnu/store/7dq7vkvrykv3wm9l8j617v3xbn44g51i-epiphany-3.24.3/share/glib-2.0/schemas/gschemas.compiled /gnu/store/1c7w0pjf80z8l6yb9a8wmni8za3mpx85-simple-scan-3.24.1/share/glib-2.0/schemas/gschemas.compiled
> warning: arbitrarily choosing /gnu/store/7dq7vkvrykv3wm9l8j617v3xbn44g51i-epiphany-3.24.3/share/glib-2.0/schemas/gschemas.compiled
>
> 1.
> How do we deal with these gschema collisions? I know eventually we
> should solve almost all collisions we have, but gschemas seems
> more important than the usual ones.

For reference, here’s the discussion of the same issue by the Nix folks:

  https://github.com/NixOS/nixpkgs/issues/1455

> 2.
> I also think we should formalize how to deal with the collisions
> or specific groups of collisions, so that we might have a better
> way to tackle these issues.

I don’t know what “formalize” means in this context, but I agree that we
should aim to reduce the number of conflicts where possible.

-- 
Ricardo

GPG: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
https://elephly.net